Class | Bio::DDBJ::XML::Fasta
In: | lib/bio/io/ddbjxml.rb
Parent: | XML

## Fasta

Searching database using the Fasta package.

- xml.nig.ac.jp/doc/Fasta.txt

### Examples

      serv = Bio::DDBJ::XML::Fasta.new
      query = ">Test\nMSDGAVQPDG GQPAVRNERA TGSGNGSGGG GGGGSGGVGI"

      puts serv.searchSimple('fasta34', 'PDB', query)
      query = ">Test\nAGCTTTTCATTCTGACTGCAACGGGCAATATGTCTCTGTGTGGATTAAAAAAAGAGTGTCTGATAGCAGC"
      puts serv.searchParam('fastx34_t', 'PDB', query, '-n')

### WSDL Methods

- searchSimple(program, database, query)
- searchParam(program, database, query, param)

### References

- xml.nig.ac.jp/doc/Fasta.txt

### Constants

SERVER_URI | = | BASE_URI + "Fasta.wsdl"

[Validate]